#include<bits/stdc++.h>
using namespace std;
int main(){
    int n;
    cin>>n;
    for(int i=0;i<n;i++){
        int x1,x2,y1,y2,a,b;
        cin>>x1>>y1>>x2>>y2>>a>>b;
        cout<<max(0,(1+a-abs(x2-x1)))*max(0,(1+b-abs(y2-y1)))<<endl;
    }
}
